<?php
namespace Claromentis\Menu;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_7631abf8f23410" . "319b7115e54aa60" . "c6d" => base64_decode("bWVudV9i" . "dWlsZGVy" . "LmZvbGRl" . "cg=="), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_f88c0980467f304d271bba91bea" . "8da3f" => base64_decode("bWVudV9idWlsZGVyLn" . "BhZ2U="), "_787716e85b3b1de5c" . "15456747d65bab1" => base64_decode("bWVudV9idWlsZGVyLmxpbms" . "="));






class NodeType
{
    const PAGE = 1;
    const LINK = 2;
    const FOLDER = 3;
    public static function GetDescription($type)
    {
        static $node_type_descr_localized;
        if (!isset($node_type_descr_localized)) {
            $node_type_descr_localized = array(self::PAGE => $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_f88c0980467f30" . "4d271bba91bea8d" . "a3f"]), self::LINK => $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc" . "0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_787716e85b3b1de5c15456747" . "d65bab1"]), self::FOLDER => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7631abf8f2341" . "0319b7115e54aa" . "60c6d"]));
        }
        if (isset($node_type_descr_localized[$type])) {
            return $node_type_descr_localized[$type];
        } else {
            return null;
        }
    }
    public static function GetByCode($code)
    {
        static $node_types = array("page" => self::PAGE, "link" => self::LINK, "folder" => self::FOLDER);
        if (isset($node_types[$code])) {
            return $node_types[$code];
        } else {
            return null;
        }
    }
    public static function GetCode($type)
    {
        static $codes = array(self::PAGE => "page", self::LINK => "link", self::FOLDER => "folder");
        if (isset($codes[$type])) {
            return $codes[$type];
        } else {
            return null;
        }
    }
}